Get inventory import status.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/imports/{import_uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/imports/{import_uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/imports/{import_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/imports/{import_uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"import": {
"conflict_count": 1,
"content_sha256": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_count": 1,
"errors": [
{
"code": "<string>",
"index": 0,
"message": "<string>",
"value": "<string>"
}
],
"extracted_count": 1,
"failed_count": 1,
"file_name": "<string>",
"file_size_bytes": 123,
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_at": "2023-11-07T05:31:56Z",
"content_type": "<string>",
"error_message": "<string>",
"started_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Inventory
Get inventory import status.
GET
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
esi
/
inventory
/
imports
/
{import_uuid}
Get inventory import status.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/imports/{import_uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/imports/{import_uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/imports/{import_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/imports/{import_uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"import": {
"conflict_count": 1,
"content_sha256": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_count": 1,
"errors": [
{
"code": "<string>",
"index": 0,
"message": "<string>",
"value": "<string>"
}
],
"extracted_count": 1,
"failed_count": 1,
"file_name": "<string>",
"file_size_bytes": 123,
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_at": "2023-11-07T05:31:56Z",
"content_type": "<string>",
"error_message": "<string>",
"started_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}⌘I